package ir.eval;

import java.io.*;
import java.util.*;
import java.lang.*;
import ir.utilities.*;

/**
 * @author Ray Mooney
 */

public class PrepareCF {
    public static final String CF_DIR = "/u/mooney/ir-code/corpora/cf/";
    
    static void processFile (String fileName) {
	try {
	    BufferedReader in = new BufferedReader(new FileReader(fileName));
	    while(processDoc(in));
	    in.close();
	}
	catch (IOException e) {
	    System.out.println("\nCould not read or write a file:" + e);
	    System.exit(1);
	}
    }

    static boolean processDoc(BufferedReader in) throws IOException {
	String line = in.readLine();
	if (line == null) return false;
	while(! line.startsWith("RN")) {
 	    line = in.readLine();
	    if (line == null) return false;
	}
	String fileName = line.trim().replace(' ', '-');
	System.out.println("Writing file " + fileName);
	PrintWriter out = new PrintWriter(new FileWriter(new File(CF_DIR, fileName)));
	while(! (line == null || line.trim().equals(""))) {
	    if (line.startsWith("AU") || line.startsWith("TI") ||
		line.startsWith("MJ") || line.startsWith("MN") ||
		line.startsWith("AB") || line.startsWith("EX") )  
		{
		    line = line.substring(line.indexOf(' '));
		    while(line.startsWith(" ")) {
			out.println(line.trim());
			line = in.readLine();
		    }
		    out.println("");		
		}
	    else
		line = in.readLine();
	}
	out.close();
	return true;
    }

    public static void main(String[] args) {
	processFile(args[0]);
    }

}

   
