package ir.eval;

import java.io.*;
import java.util.*;
import java.lang.*;
import ir.utilities.*;

/**
 * @author Ray Mooney
 */

public class PrepareCFQuery {
    public static final String CF_FILE = "/u/mooney/ir-code/queries/cf/queries";
    
    static void processFile (String fileName) {
	try {
	    BufferedReader in = new BufferedReader(new FileReader(fileName));
	    PrintWriter out = new PrintWriter(new FileWriter(new File(CF_FILE)));
	    while(processQuery(in, out));
	    in.close();
	    out.close();
	}
	catch (IOException e) {
	    System.out.println("\nCould not read or write a file:" + e);
	    System.exit(1);
	}
    }

    static boolean processQuery(BufferedReader in, PrintWriter out) throws IOException {
	String line = in.readLine();
	if (line == null) return false;
	while(! line.startsWith("QU")) {
 	    line = in.readLine();
	    if (line == null) return false;
	}
	line = line.substring(line.indexOf(' '));
	while(line.startsWith(" ")) {
	    out.print(line.trim() + " ");
	    line = in.readLine();
	}
	out.println("");
	while(! line.startsWith("RD")) {
 	    line = in.readLine();
	    if (line == null) return false;
	}
	line = line.substring(line.indexOf(' '));
	while(line.startsWith(" ")) {
	    line = line.trim();
	    if (line.equals("")) break;
	    ArrayList segments = MoreString.segment(line, ' ');
	    for(int i = 0; i < segments.size(); i++) {
		if (i%2 == 0) {
		    String num = (String)segments.get(i);
		    int pad = 5 - num.length();
		    for(int j = 0; j < pad; j++)
			num = "0" + num;
		    out.print("RN-" + num + " ");
		}
	    }
 	    line = in.readLine();
	    if (line == null) return false;
	}
	out.println("\n");
	return true;
    }

    public static void main(String[] args) {
	processFile(args[0]);
    }

}

   
