package ir.vsr;

import java.util.*;
import ir.utilities.*;

/** A data structure for a "positional" term vector for a document stored
 * as a HashMap that maps tokens to ArrayList's of Integer's
 * which are the positions of the token in the document.
 *
 * @author Ray Mooney
 */

public class HashMapPosVector extends HashMapVector{

    /** Increment the count for the given token in the vector by the given amount.
     */
    public double increment(String token, int amount) {
	System.out.println("\nCannot increment HashMapPosVector");
	System.exit(1);
	return 0;
    }

    /** Add a new position occurence of a token to the vector */
    public void addPosition(String token, int position) {
	ArrayList posList = (ArrayList)hashMap.get(token);
	if (posList == null) {
	    // If there is no current position list for this token, create one
	    posList = new ArrayList();
	    hashMap.put(token,posList);
	}
	// Add position of token to posList
	posList.add(new Integer(position));
    }


    /** Destructively add the given vector to the current vector */
    public void add(HashMapVector vector) {
	System.out.println("\nCannot add HashMapPosVector");
	System.exit(1);
    }

    /** Destructively subtract the given vector from the current vector */
    public void subtract(HashMapVector vector) {
	System.out.println("\nCannot subtract HashMapPosVector");
	System.exit(1);
    }
	

    /** Destructively multiply the vector by a constant */
    public void multiply(int factor) {
	System.out.println("\nCannot multiply HashMapPosVector");
	System.exit(1);
    }
	

    /** Produce a copy of this HashMapVector with a new HashMap and new
	Weight's 
    */
    public HashMapVector copy() {
	System.out.println("\nCopy not implemented for HashMapPosVector");
	System.exit(1);
	return null;
    }


    /** Print out the vector showing the tokens and their positions */
    public void print() {
	Iterator mapEntries = iterator();
	while (mapEntries.hasNext()) {
	    Map.Entry entry = (Map.Entry)mapEntries.next();
	    // Print the term and its positions, 
	    System.out.println(entry.getKey() + ":" + (ArrayList)entry.getValue());
	}
    }


}

