package ir.vsr;

import java.util.*;

/** A lightweight object for storing information about a retrieved Document
 * for a positional inverted index that includes vector-space and proximity 
 *
 * @author Ray Mooney
 */

public class RetrievalPosInfo {
    /** The current vector-space score component. */
    public double vectorScore = 0;
    /** The current proximity score component. */
    public double proximityScore = 0;
    /** A list of previously found query tokens in order */
    public ArrayList  foundTokens = new ArrayList();
    /** A list of position vectors (int[]) for the positions in
	which each previously found query token were found in the document */
    public ArrayList  foundPositions = new ArrayList();

}

