package ir.vsr;

import java.util.*;

/** A lightweight object for storing information about an occurrence of a token (a.k.a word, term)
 * in a Document, including an array of the positions at which it occurs.
 *
 * @author Ray Mooney
 */

public class TokenPosOccurrence extends TokenOccurrence{
    
    /** The positions where it occurs in the Document */
    public int[] positions;

    /** Create an occurrence with these values */
    public TokenPosOccurrence(DocumentReference docRef, ArrayList positions) {
	super(docRef, positions.size());
	this.positions = arrayListToIntArray(positions);
    }
    
    /** Convert an ArrayList of Integers into an array of ints */
    public static int[] arrayListToIntArray(ArrayList list) {
	int[] intArray = new int[list.size()];
	for(int i = 0; i < list.size(); i++) {
	    intArray[i] = ((Integer)list.get(i)).intValue();
	}
	return intArray;
    }
}
