/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *    InstanceConverter.java
 *    Copyright (C) 2003 Mikhail Bilenko
 *
 */

package weka.core.metrics;

import weka.core.*;



/** 
 * InstanceConverter interface
 *
 * Certain metrics may require converting instances before performing computations
 *
 * @author Mikhail Bilenko (mbilenko@cs.utexas.edu)
 * @version $Revision: 1.1 $
 */

public interface InstanceConverter {
  /** Take an instance and convert it for use by the metric */
  public Instance convertInstance(Instance instance);
}
